# -sam k (commport5@lucidx.com)

use POSIX qw(strftime);

sub format {
 $tm = strftime "%H:%M:%S", localtime;
 $tm .= ".$time";
 $nstrg = $strg;
 %string = (
	"saddr", $stest,
	"daddr", $dtest,
	"source", $sname,
	"dest", $dname,
	"shost", $sname,
	"dhost", $dname,
	"sserv", $stype,
	"dserv", $dtype,
	"version", $vers,
	"ihl", $ihl,
	"tos", $tos,
	"totlen", $tot,
	"id", $id,
	"fragoff", $frg,
	"ttl", $ttl,
	"protocol", $pro,
	"proto", $prt,
	"check1", $chc,
	"rawsaddr", $saddr,
	"rawdaddr", $daddr,
	"sport", $sport,
	"dport", $dport,
	"sequence", $seq,
	"seq", $seq,
	"ackseq", $aseq,
	"doff", $dof,
	"res1", $res1,
	"res2", $res2,
	"urg", $urg,
	"ack", $ack,
	"psh", $psh,
	"rst", $rst,
	"syn", $syn,
	"fin", $fin,
	"winsize", $win,
	"check2", $chk,
	"data", $data,
	"time", $tm,
	"headers", $headers,
 );
 if ($string{"data"} =~ /^\s*?$/) {
  $string{"data"} = "";
 }
 $string{"seq"} =~ s/^-//;
 $string{"sequence"} =~ s/^-//;
 $string{"ackseq"} =~ s/^-//;
 $nstrg =~ s/\\t/\t/g;
 $nstrg =~ s/\\n/\n/g;
 $nstrg =~ s/\$([A-Za-z0-9]+)/$string{$1}/g;
 print "$nstrg\n";
}

1;
